import QtQuick 2.4
import QtQuick.Controls 1.3
import QtQuick.Layouts 1.1

Item {
    width: 640
    height: 480
    property alias image1: image1

    property alias button1: button1
    property alias button2: button2

    Image {
        id: image1
        x: 0
        y: 0
        width: 800
        height: 480
        fillMode: Image.PreserveAspectCrop
        source: "trisol.jpg"
    }

    RowLayout {
        anchors.centerIn: parent

        Button {
            id: button1
            text: qsTr("Press Me 1")
        }

        Button {
            id: button2
            text: qsTr("Press Me 2")
        }
    }

}
