#ifndef IMX6_H
#define IMX6_H

#endif // IMX6_H

#include <QObject>

class Imx6 : public QObject
{
    Q_OBJECT
public:
    explicit Imx6(QObject *parent = 0);
    ~Imx6();

    Q_INVOKABLE void getCurrentTemperature();
    Q_INVOKABLE void setRedLed(int isOn);
    Q_INVOKABLE int getRedLedStatus();
    Q_INVOKABLE void toggleRedLed();

signals:
    void temperatureUpdate(QString currentTemperature);
    void redLedStatusUpdate(QString currentRedLedStatus);

public slots:
};
